<?php

namespace App\Notification\Notifications;

use App\Notification\Notification;
use App\Notification\NotificationBody\SimpleNotificationBody;
use App\Notification\Stringifiable;
use App\Notification\Stringifiable\StringifiableSimpleText;

class SimpleNotification extends Notification {

    private StringifiableSimpleText $title;

    public function __construct(int $jobId, string $title, string $body, bool $isError = false) {
        $this->title = new StringifiableSimpleText($title);
        parent::__construct($jobId, new SimpleNotificationBody($body), $isError);
    }

    public function getTitle(): Stringifiable {
        return $this->title;
    }

    /**
     * @inheritDoc
     */
    public function getImageProjectPath(): string|null {
        return null;
    }

    /**
     * @inheritDoc
     */
    public function getLinkURL(): string|null {
        return route('home');
    }
}
